=== ide/clion/frameworks/ml/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.6)
project(ml)

add_subdirectory(nn/tools/ion_watcher/ion_watcher-arm-android)
add_subdirectory(nn/driver/sample/libSampleDriver-arm-android)
add_subdirectory(nn/driver/sample/android.hardware.neuralnetworks@1.2-service-sample-minimal-arm-android)
add_subdirectory(nn/driver/sample/android.hardware.neuralnetworks@1.2-service-sample-float-slow-arm-android)
add_subdirectory(nn/driver/sample/android.hardware.neuralnetworks@1.2-service-sample-all-arm-android)
add_subdirectory(nn/driver/sample/android.hardware.neuralnetworks@1.2-service-sample-float-fast-arm-android)
add_subdirectory(nn/driver/sample/android.hardware.neuralnetworks@1.2-service-sample-quant-arm-android)
add_subdirectory(nn/driver/cache/BlobCache/libBlobCache-arm-android)
add_subdirectory(nn/driver/cache/BlobCache/BlobCache_test-arm-android)
add_subdirectory(nn/driver/cache/nnCache/lib_nnCache-arm-android)
add_subdirectory(nn/driver/cache/nnCache/nnCache_test-arm-android)
add_subdirectory(nn/common/libneuralnetworks_utils-arm-android)
add_subdirectory(nn/common/random/philox_random-arm-android)
add_subdirectory(nn/common/NeuralNetworksTest_operations-arm-android)
add_subdirectory(nn/common/NeuralNetworksTest_utils-arm-android)
add_subdirectory(nn/common/libneuralnetworks_common-arm-android)
add_subdirectory(nn/runtime/test/NeuralNetworksTest_shared_partial-arm-android)
add_subdirectory(nn/runtime/test/NeuralNetworksTest_static-arm-android)
add_subdirectory(nn/runtime/test/NeuralNetworksTest_static_fuzzing-arm-android)
add_subdirectory(nn/runtime/test/NeuralNetworksTest_mt_static-arm-android)
add_subdirectory(nn/runtime/test/NeuralNetworksTest_static_asan-arm-android)
add_subdirectory(nn/runtime/test/NeuralNetworksTest_static_ubsan-arm-android)
add_subdirectory(nn/runtime/test/NeuralNetworksTest_mt_static_asan-arm-android)
