=== ide/clion/frameworks/native/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.6)
project(native)

include("${CMAKE_CURRENT_SOURCE_DIR}/../../CMakeLists.txt")

try_add_subdir(libs/gui/libgui)
try_add_subdir(libs/gui/tests/libgui_test)
try_add_subdir(libs/ui/libui)
try_add_subdir(libs/renderengine/librenderengine)
try_add_subdir(services/surfaceflinger/surfaceflinger)
try_add_subdir(services/surfaceflinger/CompositionEngine/libcompositionengine_mocks)
try_add_subdir(services/surfaceflinger/CompositionEngine/libcompositionengine_test)
try_add_subdir(services/surfaceflinger/CompositionEngine/libcompositionengine)
try_add_subdir(services/surfaceflinger/FrameTimeline/libframetimeline)
try_add_subdir(services/surfaceflinger/TimeStats/timestatsproto/libtimestats_proto)
try_add_subdir(services/surfaceflinger/TimeStats/libtimestats)
try_add_subdir(services/surfaceflinger/layerproto/liblayers_proto)
try_add_subdir(services/surfaceflinger/tests/IPC_test)
try_add_subdir(services/surfaceflinger/tests/fakehwc/sffakehwc_test)
try_add_subdir(services/surfaceflinger/tests/SurfaceFlinger_test)
try_add_subdir(services/surfaceflinger/tests/vsync/test-vsync-events)
try_add_subdir(services/surfaceflinger/tests/waitforvsync/test-waitforvsync)
try_add_subdir(services/surfaceflinger/tests/unittests/libsurfaceflinger_unittest)
try_add_subdir(services/surfaceflinger/libSurfaceFlingerProp)
try_add_subdir(services/surfaceflinger/sysprop/libSurfaceFlingerProperties)
try_add_subdir(services/surfaceflinger/fuzzer/surfaceflinger_fuzzer)
try_add_subdir(services/surfaceflinger/fuzzer/surfaceflinger_displayhardware_fuzzer)
try_add_subdir(services/surfaceflinger/fuzzer/surfaceflinger_scheduler_fuzzer)
