=== debian/changelog ===
android-platform-tools (35.0.2-1~exp6) experimental; urgency=medium

  * debian/system/libutils.mk: Add back source file under
    system/core/libutils/binder.

 -- Roger Shimizu <rosh@debian.org>  Fri, 18 Jul 2025 18:21:31 +0200

android-platform-tools (35.0.2-1~exp5) experimental; urgency=medium

  * d/system/libbacktrace.mk: Add -lzstd to fix autopkgtest regression.

 -- Roger Shimizu <rosh@debian.org>  Wed, 16 Jul 2025 21:17:07 +0200

android-platform-tools (35.0.2-1~exp4) experimental; urgency=medium

  * d/rules: Use dh_makeshlibs to specify the lib version (Closes: #1024902)
  * d/rules: Update the lib dependencies to fix FTBFS with make --shuffle=reverse
    (Closes: #1105254).

 -- Roger Shimizu <rosh@debian.org>  Sun, 13 Jul 2025 22:04:00 +0200

android-platform-tools (35.0.2-1~exp3) experimental; urgency=medium

  * debian/android-libutils-dev.install: Add libutils include folder.

 -- Roger Shimizu <rosh@debian.org>  Sun, 04 May 2025 19:17:17 -0700

android-platform-tools (35.0.2-1~exp2) experimental; urgency=medium

  * debian/rules: Bump up c&cpp std version.
  * debian/control:
    - Replace "android-sdk-platform-tools-common" with "android-udev-rules"
      and bump from "Recommends" to "Depends" as well.

 -- Roger Shimizu <rosh@debian.org>  Thu, 03 Apr 2025 23:17:23 -0700

android-platform-tools (35.0.2-1~exp1) experimental; urgency=medium

  * New upstream release 35.0.2
  * debian/patches:
    - Refresh patches.
    - Add patch to support MIPS for Android-V.
    - Amend patch to keep local "debian" version.
  * debian/control: Add B-D: libusb-1.0-0-dev (>= 2:1.0.28)
    which supports USB SuperSpeed+ Capability.
  * debian/adb.mk: Add dummy function 'using_bonjour' to dummy.cpp
  * Add debian/gbp.conf

 -- Roger Shimizu <rosh@debian.org>  Sun, 30 Mar 2025 23:03:17 -0700

android-platform-tools (34.0.5-11) unstable; urgency=medium

  * adb manpage: Make NAME one line to resolve lintian warning.
  * Update adbd.service:
    - Start adbd service after network is connected.
    - Add doc entry to service to resolve lintian warning.

 -- Roger Shimizu <rosh@debian.org>  Sun, 30 Mar 2025 18:14:16 -0700

android-platform-tools (34.0.5-10) unstable; urgency=medium

  * man: Use packages/modules/adb/docs/user/adb.1.md
  * Revert: Try to add alpha sh4 for adb/fastboot, due to no clang support.

 -- Roger Shimizu <rosh@debian.org>  Wed, 26 Mar 2025 00:43:12 -0700
